import Func from "@/Engine/ECS/Function";
import SysPage from "@/Frameworks/SysPage";

export enum FuncLoginState {
  idle,
}

export class FuncLogin extends Func<FuncLoginState>{
  constructor(name: string) {
    super(name);
    super.initStates(sm => {
      sm.addState(FuncLoginState.idle, this.onIdleStateIn, null, this.onIdleStateExit);
    })
  }
  onIdleStateIn(): void {
    SysPage.add(PAGE_KEY.Home);
  }
  onIdleStateExit(): void {

    SysPage.removeByKey(PAGE_KEY.Home);
  }
}